{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 5,
			"minor" : 1,
			"revision" : 9
		}
,
		"rect" : [ 260.0, 218.0, 1548.0, 821.0 ],
		"bgcolor" : [ 0.92549, 0.92549, 0.92549, 1.0 ],
		"bglocked" : 0,
		"defrect" : [ 260.0, 218.0, 1548.0, 821.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Let's think about serialism as a game with parameters: pitch, loudness, duration, timbre etc. In serial music, all of these parameters are organised into a predefined row (in German: Reiche), following a rule created by the author. For Schönberg and followers, the rule of definition was: all the pitches should be heard with equal \"rights\" (that is, chance) - there can be no perceived hierarchy (e.g. tonal system, coda) between them. ",
					"linecount" : 8,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-21",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 40.0, 54.0, 511.0, 110.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "2/ playing the row in different ways in order to use as part of a composition",
					"linecount" : 2,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-196",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 600.909058, 206.909088, 370.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1/ organizing a 12-tone row (the panel on the right helps to figure out repetitions).",
					"linecount" : 2,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-195",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 600.0, 163.090912, 370.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "repetitions inside!",
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-194",
					"fontname" : "Courier Bold",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 1254.0, 576.0, 148.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"bordercolor" : [ 0.501961, 0.501961, 0.501961, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-192",
					"fontname" : "Courier Bold",
					"outlettype" : [ "int", "bang" ],
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 64.0,
					"patching_rect" : [ 1294.0, 512.0, 86.0, 70.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "currently the row has",
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-187",
					"fontname" : "Courier Bold",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 1241.0, 492.0, 167.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "!- 12",
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-184",
					"fontname" : "Arial",
					"outlettype" : [ "int" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 692.0, 973.0, 36.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "zl len",
					"numinlets" : 2,
					"numoutlets" : 2,
					"id" : "obj-183",
					"fontname" : "Arial",
					"outlettype" : [ "", "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 691.0, 948.0, 39.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "zl thin",
					"numinlets" : 2,
					"numoutlets" : 2,
					"id" : "obj-181",
					"fontname" : "Arial",
					"outlettype" : [ "", "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 690.0, 920.0, 42.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "zl sort",
					"numinlets" : 2,
					"numoutlets" : 2,
					"id" : "obj-180",
					"fontname" : "Arial",
					"outlettype" : [ "", "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 690.0, 895.0, 43.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "10 4 6 3 5 9 2 1 7 8 11 0",
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-179",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 638.0, 855.0, 174.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "vexpr $i1 % 12",
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-177",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 690.0, 824.0, 90.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "pak i i i i i i i i i i i i",
					"numinlets" : 12,
					"numoutlets" : 1,
					"id" : "obj-176",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 690.0, 798.0, 167.5, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "(preset 2 is from Arnold Schönberg - Variations for Orchestra op. 31)",
					"linecount" : 3,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-175",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 48.0, 504.0, 205.0, 42.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "The mini-score below contains 12 tones that you can change. Take care for order all of them to make a regular 12-tone row (without repetitions), so that it is possible to play with them using the techniques of serialism: forward, backward, inverse transformations. Use it by:",
					"linecount" : 5,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-173",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 585.0, 59.0, 464.0, 71.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "? how to use it?",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-174",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 18.0,
					"patching_rect" : [ 597.0, 26.0, 318.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "current note",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-172",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 674.0, 735.0, 97.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-171",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 623.0, 730.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p",
					"numinlets" : 4,
					"numoutlets" : 1,
					"id" : "obj-170",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 295.0, 768.0, 104.0, 20.0 ],
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 5,
							"minor" : 1,
							"revision" : 9
						}
,
						"rect" : [ 66.0, 69.0, 640.0, 480.0 ],
						"bglocked" : 0,
						"defrect" : [ 66.0, 69.0, 640.0, 480.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-1",
									"patching_rect" : [ 274.0, 221.0, 25.0, 25.0 ],
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 1",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-120",
									"fontname" : "Arial",
									"outlettype" : [ "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 309.0, 106.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "gate 2",
									"numinlets" : 2,
									"numoutlets" : 2,
									"id" : "obj-118",
									"fontname" : "Arial",
									"outlettype" : [ "", "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 320.0, 131.0, 57.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "t b i",
									"numinlets" : 1,
									"numoutlets" : 2,
									"id" : "obj-160",
									"fontname" : "Arial",
									"outlettype" : [ "bang", "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 246.0, 118.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"numinlets" : 1,
									"numoutlets" : 2,
									"id" : "obj-151",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 50.0, 168.0, 50.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "expr ($i1 - $i2) + $i1",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-150",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 82.0, 142.0, 118.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"numinlets" : 1,
									"numoutlets" : 2,
									"id" : "obj-149",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 127.0, 104.0, 50.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"numinlets" : 1,
									"numoutlets" : 2,
									"id" : "obj-148",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 76.0, 100.0, 50.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "noteout",
									"numinlets" : 3,
									"numoutlets" : 0,
									"id" : "obj-143",
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"patching_rect" : [ 345.0, 187.0, 51.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "makenote 127 640",
									"numinlets" : 3,
									"numoutlets" : 2,
									"id" : "obj-142",
									"fontname" : "Arial",
									"outlettype" : [ "float", "float" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 345.0, 161.0, 110.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"id" : "obj-166",
									"outlettype" : [ "int" ],
									"patching_rect" : [ 76.0, 40.0, 25.0, 25.0 ],
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"id" : "obj-167",
									"outlettype" : [ "int" ],
									"patching_rect" : [ 127.0, 40.0, 25.0, 25.0 ],
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"id" : "obj-168",
									"outlettype" : [ "int" ],
									"patching_rect" : [ 309.0, 40.0, 25.0, 25.0 ],
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"id" : "obj-169",
									"outlettype" : [ "int" ],
									"patching_rect" : [ 358.0, 40.0, 25.0, 25.0 ],
									"comment" : ""
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-150", 0 ],
									"destination" : [ "obj-1", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-118", 0 ],
									"destination" : [ "obj-1", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-118", 0 ],
									"destination" : [ "obj-142", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-118", 1 ],
									"destination" : [ "obj-160", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-120", 0 ],
									"destination" : [ "obj-118", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-142", 0 ],
									"destination" : [ "obj-143", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-142", 1 ],
									"destination" : [ "obj-143", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-149", 0 ],
									"destination" : [ "obj-150", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-148", 0 ],
									"destination" : [ "obj-150", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-150", 0 ],
									"destination" : [ "obj-151", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-160", 1 ],
									"destination" : [ "obj-150", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-160", 0 ],
									"destination" : [ "obj-150", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-150", 0 ],
									"destination" : [ "obj-142", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-166", 0 ],
									"destination" : [ "obj-148", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-167", 0 ],
									"destination" : [ "obj-149", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-168", 0 ],
									"destination" : [ "obj-120", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-169", 0 ],
									"destination" : [ "obj-118", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 12.0,
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 12.0
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "set inverse center",
					"linecount" : 3,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-156",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 247.0, 404.0, 66.0, 42.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "preset recall / store",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-139",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 51.0, 463.0, 167.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "inverse on/off",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-133",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 368.0, 414.0, 143.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"checkedcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-113",
					"outlettype" : [ "int" ],
					"patching_rect" : [ 321.0, 400.0, 45.0, 45.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "\"W\"",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-159",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 18.0,
					"patching_rect" : [ 1059.0, 402.0, 50.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "\"Q\"",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-158",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 18.0,
					"patching_rect" : [ 953.0, 402.0, 50.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "select 113 119",
					"numinlets" : 1,
					"numoutlets" : 3,
					"id" : "obj-157",
					"fontname" : "Arial",
					"outlettype" : [ "bang", "bang", "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 937.0, 193.0, 87.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "key",
					"numinlets" : 0,
					"numoutlets" : 4,
					"id" : "obj-155",
					"fontname" : "Arial",
					"outlettype" : [ "int", "int", "int", "int" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 956.0, 169.0, 59.5, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "•••• try to find accents and transparents in the row! try to change each others' role!",
					"linecount" : 2,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-154",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 1104.0, 164.0, 394.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "••• try to sing with during the play!",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-153",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 1104.0, 143.0, 386.0, 19.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "•• play Your row in a similar way but backwards!",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-152",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 1104.0, 122.0, 386.0, 19.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "t b 0",
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-147",
					"fontname" : "Arial",
					"outlettype" : [ "bang", "int" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 824.0, 255.0, 34.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "step forward",
					"numinlets" : 2,
					"bgcolor" : [ 0.372549, 0.043137, 0.517647, 1.0 ],
					"numoutlets" : 1,
					"id" : "obj-146",
					"fontname" : "Courier",
					"outlettype" : [ "" ],
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 1063.0, 428.0, 104.0, 16.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "t b 1",
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-145",
					"fontname" : "Arial",
					"outlettype" : [ "bang", "int" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 793.0, 225.0, 34.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "step backward",
					"numinlets" : 2,
					"bgcolor" : [ 0.372549, 0.043137, 0.517647, 1.0 ],
					"numoutlets" : 1,
					"id" : "obj-144",
					"fontname" : "Courier",
					"outlettype" : [ "" ],
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"fontsize" : 12.0,
					"patching_rect" : [ 958.0, 428.0, 104.0, 16.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-141",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"hidden" : 1,
					"fontsize" : 18.0,
					"patching_rect" : [ 572.0, 730.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "t b b i b",
					"numinlets" : 1,
					"numoutlets" : 4,
					"id" : "obj-138",
					"fontname" : "Arial",
					"outlettype" : [ "bang", "bang", "int", "bang" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 808.0, 306.0, 84.5, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "counter 1 12",
					"numinlets" : 5,
					"numoutlets" : 4,
					"id" : "obj-136",
					"fontname" : "Arial",
					"outlettype" : [ "int", "", "", "int" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 808.0, 284.0, 77.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "gate 12",
					"numinlets" : 2,
					"numoutlets" : 12,
					"id" : "obj-135",
					"fontname" : "Arial",
					"outlettype" : [ "", "", "", "", "", "", "", "", "", "", "", "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 803.0, 356.0, 167.5, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "bgcolor 1. 0.6 1. 1.",
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-134",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 951.0, 328.0, 108.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-132",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 1092.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-131",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 1019.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-130",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 946.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-129",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 873.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-128",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 800.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-127",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 727.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-126",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 654.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-125",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 581.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-124",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 508.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-123",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 435.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-122",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 362.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "preset",
					"numinlets" : 1,
					"numoutlets" : 4,
					"id" : "obj-121",
					"outlettype" : [ "preset", "int", "preset", "int" ],
					"patching_rect" : [ 51.0, 486.0, 113.0, 15.0 ],
					"preset_data" : [ 						{
							"number" : 1,
							"data" : [ 5, "obj-108", "nslider", "int", 62, 5, "obj-107", "nslider", "int", 61, 5, "obj-110", "nslider", "int", 60, 5, "obj-109", "nslider", "int", 64, 5, "obj-104", "nslider", "int", 67, 5, "obj-103", "nslider", "int", 68, 5, "obj-106", "nslider", "int", 63, 5, "obj-105", "nslider", "int", 70, 5, "obj-95", "nslider", "int", 71, 5, "obj-72", "nslider", "int", 69, 5, "obj-32", "nslider", "int", 65, 5, "obj-31", "nslider", "int", 66 ]
						}
, 						{
							"number" : 2,
							"data" : [ 5, "obj-108", "nslider", "int", 72, 5, "obj-107", "nslider", "int", 71, 5, "obj-110", "nslider", "int", 68, 5, "obj-109", "nslider", "int", 67, 5, "obj-104", "nslider", "int", 73, 5, "obj-103", "nslider", "int", 74, 5, "obj-106", "nslider", "int", 69, 5, "obj-105", "nslider", "int", 65, 5, "obj-95", "nslider", "int", 63, 5, "obj-72", "nslider", "int", 66, 5, "obj-32", "nslider", "int", 64, 5, "obj-31", "nslider", "int", 70 ]
						}
 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "The question remains if the notes are equal (that is, have equal rights / chances to occur), what is the role of the artist, where is the creative space for him/her to play? The answer of \"classic\" serialism: reorganisation, realization, and mirroring. Mirroring can be conceived of in 3 types: inverse (I), retrograde (R) and inverse-retrograde (RI) of the prime form (P). In the following, we present You a row, and You can play with them according to the possibilities of serial composition.",
					"linecount" : 8,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-117",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 39.0, 175.0, 516.0, 110.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p height-to-pitch",
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-140",
					"fontname" : "Arial",
					"outlettype" : [ "int" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 142.0, 647.0, 97.0, 20.0 ],
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 5,
							"minor" : 1,
							"revision" : 9
						}
,
						"rect" : [ 66.0, 69.0, 640.0, 480.0 ],
						"bglocked" : 0,
						"defrect" : [ 66.0, 69.0, 640.0, 480.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-135",
									"fontname" : "Arial",
									"outlettype" : [ "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 137.0, 293.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"numinlets" : 1,
									"numoutlets" : 2,
									"id" : "obj-134",
									"fontname" : "Arial",
									"outlettype" : [ "int", "bang" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 170.0, 230.0, 50.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "11",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-133",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 282.0, 177.0, 32.5, 18.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "9",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-132",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 249.0, 177.0, 32.5, 18.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "7",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-131",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 216.0, 177.0, 32.5, 18.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "5",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-130",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 183.0, 177.0, 32.5, 18.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "4",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-129",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 150.0, 177.0, 32.5, 18.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "2",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-128",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 117.0, 177.0, 32.5, 18.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "0",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-127",
									"fontname" : "Arial",
									"outlettype" : [ "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 84.0, 177.0, 32.5, 18.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "sel 0 1 2 3 4 5 6",
									"numinlets" : 1,
									"numoutlets" : 8,
									"id" : "obj-126",
									"fontname" : "Arial",
									"outlettype" : [ "bang", "bang", "bang", "bang", "bang", "bang", "bang", "" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 84.0, 152.0, 266.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 1",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-125",
									"fontname" : "Arial",
									"outlettype" : [ "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 50.0, 150.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "% 7",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-124",
									"fontname" : "Arial",
									"outlettype" : [ "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 84.0, 127.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "/ 7",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-123",
									"fontname" : "Arial",
									"outlettype" : [ "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 50.0, 127.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "- 5",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-122",
									"fontname" : "Arial",
									"outlettype" : [ "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 50.0, 100.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "* 12",
									"numinlets" : 2,
									"numoutlets" : 1,
									"id" : "obj-121",
									"fontname" : "Arial",
									"outlettype" : [ "int" ],
									"fontsize" : 12.0,
									"patching_rect" : [ 50.0, 174.0, 32.5, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"id" : "obj-138",
									"outlettype" : [ "" ],
									"patching_rect" : [ 50.0, 40.0, 25.0, 25.0 ],
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-139",
									"patching_rect" : [ 137.0, 373.0, 25.0, 25.0 ],
									"comment" : ""
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-121", 0 ],
									"destination" : [ "obj-135", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-134", 0 ],
									"destination" : [ "obj-135", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-133", 0 ],
									"destination" : [ "obj-134", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-132", 0 ],
									"destination" : [ "obj-134", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-131", 0 ],
									"destination" : [ "obj-134", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-130", 0 ],
									"destination" : [ "obj-134", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-129", 0 ],
									"destination" : [ "obj-134", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-128", 0 ],
									"destination" : [ "obj-134", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-127", 0 ],
									"destination" : [ "obj-134", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-126", 6 ],
									"destination" : [ "obj-133", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-126", 5 ],
									"destination" : [ "obj-132", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-126", 4 ],
									"destination" : [ "obj-131", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-126", 3 ],
									"destination" : [ "obj-130", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-126", 2 ],
									"destination" : [ "obj-129", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-126", 1 ],
									"destination" : [ "obj-128", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-126", 0 ],
									"destination" : [ "obj-127", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-124", 0 ],
									"destination" : [ "obj-126", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-125", 0 ],
									"destination" : [ "obj-121", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-123", 0 ],
									"destination" : [ "obj-125", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-122", 0 ],
									"destination" : [ "obj-124", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-122", 0 ],
									"destination" : [ "obj-123", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-138", 0 ],
									"destination" : [ "obj-122", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-135", 0 ],
									"destination" : [ "obj-139", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 12.0,
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 12.0
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-137",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 12.0,
					"patching_rect" : [ 253.0, 659.0, 36.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"format" : 5,
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.584314, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-119",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"ignoreclick" : 1,
					"triangle" : 0,
					"fontsize" : 18.0,
					"patching_rect" : [ 291.0, 660.0, 45.0, 27.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "t l clear",
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-116",
					"fontname" : "Arial",
					"outlettype" : [ "", "clear" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 191.0, 399.0, 53.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "expr 198 - ($i1*3)",
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-115",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 204.0, 720.0, 103.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "multislider",
					"setminmax" : [ 0.0, 66.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.741176, 0.654902, 0.741176, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-114",
					"setstyle" : 1,
					"outlettype" : [ "", "" ],
					"settype" : 0,
					"contdata" : 1,
					"slidercolor" : [ 0.27451, 0.023529, 0.32549, 1.0 ],
					"patching_rect" : [ 254.0, 448.0, 36.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "linesegment 0 $1 913 $1 255 0 255",
					"linecount" : 10,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-112",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 152.0, 400.0, 32.0, 142.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-107",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 1019.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-108",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 1092.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-109",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 873.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-110",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 946.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-103",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 727.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-104",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 800.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-105",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 581.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-106",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 654.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-72",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 435.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 0.6, 1.0, 1.0 ],
					"numoutlets" : 2,
					"id" : "obj-95",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 508.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "bgcolor 1. 1. 1. 0.",
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-33",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"hidden" : 1,
					"fontsize" : 12.0,
					"patching_rect" : [ 498.0, 344.0, 103.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-31",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 289.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "nslider",
					"rounded" : 0,
					"numinlets" : 2,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"numoutlets" : 2,
					"id" : "obj-32",
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 362.0, 448.0, 75.0, 198.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "! practice your skills",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-93",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 18.0,
					"patching_rect" : [ 1075.0, 31.0, 269.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "• play Your row by \"hand\" (clicking with the mouse or pressing the buttons) forward in different moods: 1/ straight rhythm 2/ vveerryy ssllooww 3/ lazy 4/ etc.",
					"linecount" : 4,
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-26",
					"fontname" : "Courier",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 13.0,
					"patching_rect" : [ 1105.0, 61.0, 383.0, 58.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "2/1: rows",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-23",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 18.0,
					"patching_rect" : [ 24.0, -25.0, 237.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "serialism - take it easy!",
					"frgb" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-9",
					"fontname" : "Courier Bold",
					"textcolor" : [ 0.741176, 0.184314, 0.756863, 1.0 ],
					"fontsize" : 18.0,
					"patching_rect" : [ 23.0, 24.0, 318.0, 24.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "lcd",
					"border" : 0,
					"numinlets" : 1,
					"numoutlets" : 4,
					"id" : "obj-65",
					"outlettype" : [ "list", "list", "int", "" ],
					"patching_rect" : [ 256.0, 448.0, 913.0, 196.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"rounded" : 57,
					"bordercolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.32549, 0.019608, 0.333333, 1.0 ],
					"numoutlets" : 0,
					"id" : "obj-193",
					"patching_rect" : [ 1177.0, 481.0, 304.0, 128.0 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-183", 0 ],
					"destination" : [ "obj-184", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-184", 0 ],
					"destination" : [ "obj-192", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-181", 0 ],
					"destination" : [ "obj-183", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-132", 0 ],
					"destination" : [ "obj-176", 11 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-131", 0 ],
					"destination" : [ "obj-176", 10 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-130", 0 ],
					"destination" : [ "obj-176", 9 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-129", 0 ],
					"destination" : [ "obj-176", 8 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-128", 0 ],
					"destination" : [ "obj-176", 7 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-127", 0 ],
					"destination" : [ "obj-176", 6 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-126", 0 ],
					"destination" : [ "obj-176", 5 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-125", 0 ],
					"destination" : [ "obj-176", 4 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-124", 0 ],
					"destination" : [ "obj-176", 3 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-123", 0 ],
					"destination" : [ "obj-176", 2 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-122", 0 ],
					"destination" : [ "obj-176", 1 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-119", 0 ],
					"destination" : [ "obj-176", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-176", 0 ],
					"destination" : [ "obj-177", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-180", 0 ],
					"destination" : [ "obj-181", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-177", 0 ],
					"destination" : [ "obj-180", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-177", 0 ],
					"destination" : [ "obj-179", 1 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-170", 0 ],
					"destination" : [ "obj-171", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-137", 0 ],
					"destination" : [ "obj-170", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-119", 0 ],
					"destination" : [ "obj-170", 1 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-113", 0 ],
					"destination" : [ "obj-170", 2 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-141", 0 ],
					"destination" : [ "obj-170", 3 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-132", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-131", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-130", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-129", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-128", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-127", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-126", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-125", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-124", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-123", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-122", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-119", 0 ],
					"destination" : [ "obj-141", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-157", 1 ],
					"destination" : [ "obj-147", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-157", 0 ],
					"destination" : [ "obj-145", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-147", 0 ],
					"destination" : [ "obj-136", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-145", 0 ],
					"destination" : [ "obj-136", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-114", 0 ],
					"destination" : [ "obj-140", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-140", 0 ],
					"destination" : [ "obj-137", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-31", 0 ],
					"destination" : [ "obj-119", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-115", 0 ],
					"destination" : [ "obj-112", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-114", 0 ],
					"destination" : [ "obj-115", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-116", 1 ],
					"destination" : [ "obj-65", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-116", 0 ],
					"destination" : [ "obj-65", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-112", 0 ],
					"destination" : [ "obj-116", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-108", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-107", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-110", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-109", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-104", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-103", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-106", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-105", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-95", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-72", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-32", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-32", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-72", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-95", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-105", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-106", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-103", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-104", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-109", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-110", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-107", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-121", 0 ],
					"destination" : [ "obj-108", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-122", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-72", 0 ],
					"destination" : [ "obj-123", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-95", 0 ],
					"destination" : [ "obj-124", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-105", 0 ],
					"destination" : [ "obj-125", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-106", 0 ],
					"destination" : [ "obj-126", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-103", 0 ],
					"destination" : [ "obj-127", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-104", 0 ],
					"destination" : [ "obj-128", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-109", 0 ],
					"destination" : [ "obj-129", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-110", 0 ],
					"destination" : [ "obj-130", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-107", 0 ],
					"destination" : [ "obj-131", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-108", 0 ],
					"destination" : [ "obj-132", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 1 ],
					"destination" : [ "obj-32", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 2 ],
					"destination" : [ "obj-72", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 3 ],
					"destination" : [ "obj-95", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 4 ],
					"destination" : [ "obj-105", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 5 ],
					"destination" : [ "obj-106", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 6 ],
					"destination" : [ "obj-103", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 7 ],
					"destination" : [ "obj-104", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 8 ],
					"destination" : [ "obj-109", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 9 ],
					"destination" : [ "obj-110", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 10 ],
					"destination" : [ "obj-107", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-135", 11 ],
					"destination" : [ "obj-108", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-134", 0 ],
					"destination" : [ "obj-135", 1 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-136", 0 ],
					"destination" : [ "obj-138", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-138", 3 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-138", 2 ],
					"destination" : [ "obj-135", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-138", 1 ],
					"destination" : [ "obj-134", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-138", 0 ],
					"destination" : [ "obj-135", 1 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-145", 1 ],
					"destination" : [ "obj-136", 1 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-144", 0 ],
					"destination" : [ "obj-145", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-147", 1 ],
					"destination" : [ "obj-136", 1 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-146", 0 ],
					"destination" : [ "obj-147", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-155", 0 ],
					"destination" : [ "obj-157", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
